| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout > Struct Template Reference

Computes a random Gaussian distribution. More...

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >:
[legend]

## Classes
struct | Params
| Parameters structure. More...

## Public Types
using | TensorView = TensorView< Element, Layout >
| View type. More...
typedef TensorView::Element | T
| Scalar type. More...
typedef TensorView::TensorCoord | TensorCoord
| Coordinate in tensor's index space. More...

## Public Member Functions
CUTLASS_DEVICE | TensorCopyDiagonalOutFunc (Params const &params)
| Device-side initialization of RNG. More...
CUTLASS_DEVICE void | operator() (TensorCoord const &coord)
| Compute random value and update RNG state. More...

## Public Attributes
Params | params
| Parameters object. More...

## Detailed Description

### template<typename Element, typename Layout>
struct cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >

< Layout function

## Member Typedef Documentation

template<typename Element , typename Layout >

typedef TensorView::Element cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::T

template<typename Element , typename Layout >

typedef TensorView::TensorCoord cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::TensorCoord

template<typename Element , typename Layout >

using cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::TensorView = TensorView<Element, Layout>

## Constructor & Destructor Documentation

template<typename Element , typename Layout >

CUTLASS_DEVICE cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::TensorCopyDiagonalOutFunc | ( | Params const & | params | ) |
| inline

## Member Function Documentation

template<typename Element , typename Layout >

CUTLASS_DEVICE void cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::operator() | ( | TensorCoord const & | coord | ) |
| inline

## Member Data Documentation

template<typename Element , typename Layout >

Params cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::params

The documentation for this struct was generated from the following file:

- device/tensor_fill.h